For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • POSTCancel Sync Execution
        • GETGet Execution Console Logs
        • GETGet Execution Logs Index
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

List Executions

GET
https://app.polytomic.com/api/syncs/:sync_id/executions
GET
/api/syncs/:sync_id/executions
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "completed_at": "2024-01-01T00:00:00Z",
5 "counts": {
6 "delete": 42,
7 "error": 5,
8 "insert": 80,
9 "total": 100,
10 "update": 15,
11 "upserts": 10,
12 "warnings": 10
13 },
14 "created_at": "2024-01-01T00:00:00Z",
15 "errors": [
16 "something went wrong"
17 ],
18 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
19 "started_at": "2024-01-01T00:00:00Z",
20 "status": "created",
21 "type": "scheduled"
22 }
23 ],
24 "pagination": {
25 "next_page_token": "AmkYh8v0jR5B3kls2Qcc9y8MjrPmvR4CvaK7H0F4rEwqvg76K=="
26 }
27}
Lists executions for a model sync. Results are ordered by start time descending. If more results are available, the response includes `pagination.next_page_token`; pass that token back unchanged to continue paging. The token is opaque. Do not construct or edit it yourself. For full details about a specific execution — including record counts and error summaries — use [`GET /api/syncs/{sync_id}/executions/{id}`](../../../../api-reference/model-sync/executions/get).
Was this page helpful?
Previous

Get Execution

Next

Lists executions for a model sync.

Results are ordered by start time descending. If more results are available, the response includes pagination.next_page_token; pass that token back unchanged to continue paging.

The token is opaque. Do not construct or edit it yourself.

For full details about a specific execution — including record counts and error summaries — use GET /api/syncs/{sync_id}/executions/{id}.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Query parameters

page_tokenstringOptional
only_completedbooleanOptional
ascendingbooleanOptional

Response

OK
datalist of objects or null
paginationobject

Errors

404
Not Found Error